namespace PkmnLib.Plugin.Gen7.Scripts.MoveVolatile;

[Script(ScriptCategory.MoveVolatile, "electrify")]
public class ElectrifyEffect : Script, IScriptChangeMoveType
{
    /// <inheritdoc />
    public void ChangeMoveType(IExecutingMove move, IPokemon target, byte hit, ref TypeIdentifier? moveType)
    {
        var battleData = target.BattleData;
        if (battleData == null)
            return;
        if (!battleData.Battle.Library.StaticLibrary.Types.TryGetTypeIdentifier("electric", out var electricType))
            return;
        moveType = electricType;
    }
}